# !/usr/bin/python
# -*- coding: utf-8 -*-
# @Author:: Arthur Wu
# @Description:: 匿名转会员登录，加购计重商品，并结算
# @Date:: 2024/11/22
import unittest,allure,time,pytest
from configs.globalObj import LOGGER
from YiMao.businessFunc.ClientApiLib import YMClientApi
from YiMao.data.WuShangSceneTestData import *


DescName = "Vip017-匿名转会员登录，加购计重商品，并结算"
@allure.story(f'[场景测试] {DescName}验证')
class Test_CVip017(unittest.TestCase):
    f'''@Date:: 2024/11/22
    @Author:: Arthur Wu
    @Desc::
    [购物车客户端] {DescName}
    '''
    def setUp(self) -> None:
        self.timestamp = int(time.time())
        self.ymc = YMClientApi(ShoppingCartMac)
        self.vip_phone_num = VIPPhoneNumber
        self.bulk_goods = BulkGoods["GoodsInputcode"]

    def test_CVip017(self):
        allure.dynamic.description(f"描述：{DescName}\n")
        allure.step("步骤1：session开始")
        self.ymc.session_start()
        allure.step("步骤2：匿名登录")
        Payload01 = {"action": 0, "isAnon": True}
        LoginData = self.ymc.login_app_v2(Payload01)

        allure.step("步骤3：切换会员登录")
        Payload02 = {"action": 1, "code": self.vip_phone_num, "isAnon": False}
        self.ymc.login_app_v2(Payload02)

        allure.step("步骤3：获取商品信息")
        GetGoodsInfoResp_01 = self.ymc.get_goods_info(self.bulk_goods)
        if GetGoodsInfoResp_01['msg'] != '加购商品不存在':
            allure.step("步骤4：添加会员有优惠商品")
            self.ymc.add_cart_goods(GetGoodsInfoResp_01, 1, LoginData)
            allure.step("步骤5：获取购物车商品信息")
            self.ymc.get_cart_goods_info([GetGoodsInfoResp_01])
            allure.step("步骤6：请求订单结算")
            self.ymc.request_order_settlement(LoginData)
        else:
            LOGGER.info(f"---商品 {BulkGoods} 不存在")
            pytest.fail(f"---商品 {BulkGoods} 不存在")


if __name__ == '__main__':
    unittest.main(verbosity=2)
